routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});
Route::resource('enlists','App\Http\Controllers\EnlistsController');

app/Models/Enlists.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Enlists extends Model
{
    use HasFactory;

    protected $fillable = [
        'name', 'job', 'salary',
    ];
}

app/Models/User.php
<?php

namespace App\Models;

use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;
use Laravel\Sanctum\HasApiTokens;

class User extends Authenticatable
{
    use HasApiTokens, HasFactory, Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name',
        'email',
        'password',
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password',
        'remember_token',
    ];

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];
}

app/Http/Controllers/Controller.php
<?php

namespace App\Http\Controllers;

use Illuminate\Foundation\Auth\Access\AuthorizesRequests;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Routing\Controller as BaseController;

class Controller extends BaseController
{
    use AuthorizesRequests, DispatchesJobs, ValidatesRequests;
}

app/Http/Controllers/EnlistsController.php
<?php

namespace App\Http\Controllers;

use App\Models\Enlists;
use Illuminate\Http\Request;

class EnlistsController extends Controller
{
   public function index()
   {
       $enlists = Enlists::latest()->paginate(5);
       return view('enlists.index',compact('enlists'))
        ->with('i', (request()->input('page', 1) - 1) * 5);
   }

   public function create()
   {
       return view('enlists.create');
   }

   public function store(Request $request)
   {
       $request->validate([
           'name'=>'required',
           'job'=>'required',
           'salary'=>'required',

       ]);

       Enlists::create($request->all());

       return redirect()->route('enlists.index')
        ->with('success','Enlisted successfully.');
   }

   public function show(Enlists$enlists)
   {
       return view('enlist.show',compact('enlist'));

   }

   public function edit(Enlists$enlists)
   {
       return view('enlist.edit',compact('enlist'));
   }

   public function update(Request$request, Enlists$enlists)
   {
       $request->validate([

       ]);

       $student->update($request->all());

       return redirect()->route('enlist.index')
        ->with('success','Enlisted successfully.');
   }

   public function destroy(Enlists$enlists)
   {
       $enlists->delete();

       return redirect()->route('enlists.index')
        ->with('success','Profile deleted successfully');
   }

}

resources/views/enlists/create.blade.php
@extends('enlists.layout')

@section('content')
<div class="row">
    <div class="col-lg-12 margin-tb">
        <div class"pull-left">
            <h2>Add New Profile</h2>
        </div>
        <div class="pull-right">
            <a class="btn btn-primary" href="{{route('enlists.index')}}">Back</a>
        </div>
    </div>
</div>

@if($errors->any())
    <div class="alert alert-danger">
        <strong>Whoops!</strong>There were some problems with your input.<br><br>

        <ul>
            @foreach($errors->all() as $error)
                <li>{{$error}}</li>
            @endforeach
        </ul>
    </div>
    @endif

    <form action="{{route('enlists.store')}}"method="POST">
        @csrf
    <div class="row">
        <div class="col-xs-12 col-sm-12 col-md-12">
            <div class"form-group">
                <strong>Name:</strong>
                <input type="text" name="name" class="form-control" placeholder="name">
            </div>
        </div>

        <div class="col-xs-12 col-sm-12 col-md-12">
            <div class="form-group">
                <strong>Job</strong>
                <input type="text" name="job" class="form-control" placeholder="job">
            </div>
        </div>

        <div class="col-xs-12 col-sm-12 col-md-12">
            <div class="form-group">
                <strong>Salary</strong>
                    <input type="text" name="salary" class="form-control" placeholder="salary">
            </div>
        </div>

        <div class="col-xs-12 col-sm-12 col-md-12 text-center">
            <button type="submit" class="btn btn-primary">Submit</button>
        </div>
    </div>
    </form>

@endsection

resources/views/enlists/edit.blade.php
@extends('enlists.layout')

@section('content')
<div class="row">
    <div class="col-lg-12 margin-tb">
        <div class="pull-left">
            <h2> Edit Product</h2>
        </div>
        <div class="pull-right">
            <a class="btn btn-primary" href="{{route('enlists.index')}}">Back</a>
        </div>
    </div>
</div>

@if($error->any())
    <div class="alert alert-danger">
        <strong>Whoops!</strong>There were some problems with your input.<br><br>
        <ul>
            @foreach($errors->all() as $error)
                <li>{{$error}}</li>
            @endofreach
        </ul>
    </div>
@endif

<form action="{{route('enlists.update','enlists->id)}}"method="POST">
    @csrf
    @method('PUT')

    @foreach($enlists as $enlist)

    <div class="row">

        <div class="col-xs-12 col-sm-12 col-md-12">
            <strong>Name:</strong>
            <input type="text" name="name" value="{{$enlist->name}}" class="form-control" placeholder="Name">
        </div>
    </div>

    <div class="col-xs-12 col-sm-12 col-md-12">
            <div class="form-group">
                <strong>Job:</strong>
                <input type="text" name="job" value="{{$enlist->job}}" class="form-control" placeholder="Job">
            </div>
    </div>

    <div class="col-xs-12 col-sm-12 col-md-12">
            <div class="form-group">
                <strong>Salary</strong>
                    <input type="text" name="salary" value="{{$enlist->salary}}" class="form-control" placeholder="salary">
            </div>
    </div>

    <div class="col-xs-12 col-sm-12 col-md-12 text-center">
        <button type="submit" class="btn btn-primary">Submit</button>
    </div>
    </div>
</form>

@endsection

resources/views/enlists/index.blade.php
@extends('enlists.layout')

@section('content')
<div class=pull-left>
    <h2>CRUD APP</h2>
</div>

<div class="row">
    <div class="col-lg-12 margin-tb">
        <div class="pull-right">
            <a class="btn btn-success" href="{{route('enlists.create')}}">Create New Profile</a>
        </div>
    </div>
</div>

@if($message=Session::get('success'))
    <div class="alert alert-success">
        <p>{{$message}}</p>
    </div>
@endif

<table class="table table-bordered">
    <tr>
        <th>No</th>
        <th>Name</th>
        <th>Course</th>
        <th>Salary</th>
        <th width="280px">Action</th>
    </tr>
    @foreach($enlists as $enlist)

    <tr>
        <td>{{++$i}}</td>
        <td>{{$enlist->name}}</td>
        <td>{{$enlist->job}}</td>
        <td>{{$enlist->salary}}</td>
        <td>
            <form action="{{route('enlists.destroy',$enlist->id)}}"method="POST"
                <a class="btn btn-info" href="{{route('enlists.show',$enlist->id)}}">Show</a>
                
                <a class="btn btn-primary" href="{{route('enlists.edit',$enlist->id)}}">Edit</a>

                @csrf

                @method('DELETE')

                <button type="submit" class="btn btn-danger">Delete</button>
            </form>
        </td>
    </tr>
    @endforeach
</table>

resources/views/enlists/layout.blade.php
<!DOCTYPE html>
<html>
<head>
    <title>Enlistment System</title>
    <link href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" rel="stylesheet">
</head>
<body>

    <div class="container">
        @yield('content')
    </div>

</body>
</html>